summaryrefslogtreecommitdiffstats
path: root/bin/snapshot
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>1999-11-04 20:35:23 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>1999-11-04 20:35:23 (GMT)
commit2b100011146b15098a6e865864e3dbacde4b42f8 (patch)
treedaa83fd34fefc548a4b7b659cc75f48884867ada /bin/snapshot
parentfebbb4c50d9ebc5056364caa0c0a7a1933d52767 (diff)
downloadhdf5-2b100011146b15098a6e865864e3dbacde4b42f8.zip
hdf5-2b100011146b15098a6e865864e3dbacde4b42f8.tar.gz
hdf5-2b100011146b15098a6e865864e3dbacde4b42f8.tar.bz2
[svn-r1829] Did a make distclean in the test stage to clean away previous tests.
Changed _test to check which is the proper name for the testing target.
Diffstat (limited to 'bin/snapshot')
-rwxr-xr-xbin/snapshot11
1 files changed, 10 insertions, 1 deletions
diff --git a/bin/snapshot b/bin/snapshot
index f1ef5d7..dbc6efa 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -134,6 +134,15 @@ fi # Do CVS checkout
# Run Test the HDF5 library
#=============================
if [ "$cmd" = "all" -o -n "$cmdtest" ]; then
+ # Make sure current version exists and is clean
+ if [ -d ${COMPARE}/current ]; then
+ (cd ${COMPARE}/current && make distclean)
+ else
+ errcode=$?
+ snapshot=no
+ exit $errcode
+ fi
+
# Compare it with the previous version. Compare only files listed in
# the MANIFEST plus the MANIFEST itself.
if [ -d ${COMPARE}/previous ]; then
@@ -153,7 +162,7 @@ if [ "$cmd" = "all" -o -n "$cmdtest" ]; then
if [ "$snapshot" = "yes" ]; then
if (cd ${COMPARE}/current; \
${CONFIGURE}; \
- make _test); then
+ make check); then
:
else
errcode=$?